@font-face {
    font-family: "Sansation";
    src: url("../fonts/Sansation-Regular.woff2") format("woff2");

}

*, *::before, *::after {
  box-sizing: border-box;
}

:root {
    font-family: "Sansation", "Arial", "sans-serif";
    line-height: 1.6;
    scroll-behavior: smooth;
    --bg:oklch(60.446% 0.09174 330.69 / 0.849);
    --border: oklch(38.361% 0.09174 330.375);
    --shadow: oklch(25.354% 0.09194 329.743 / 0.205);
    --shadowhover: oklch(10.361% 0.09174 330.375);
}

body {
    margin: 0;
    height: 100vh;
}

.container {
    max-width: 80rem;
    margin-inline: auto;
    padding-inline: 1rem;

}

header {
    padding-top: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color:  oklch(14.479% 0.00002 271.152);
    padding-bottom: 1rem;

    ul {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 1rem;
        list-style: none;
        width: 90vw;

        li {
            margin-inline-start: -2rem;
            width: 100%;
            text-align: center;
            border: 2px solid var(--border);
            border-radius: 1rem;
            transition: transform 0.2s;

            a {
                display: block;
            }
        }

        .a_active {
            background-color: var(--bg);

            a {
                color: initial;
                font-weight: 600;
            }

        }

        li:hover {
            background-color: var(--bg);
            transform: scale(1.05);

            a {
                color: initial;
                font-weight: 600;
            }
        }

    }

    >a {
        font-size: 1.5rem;
        transition: transform 0.2s;
        border: 2px solid var(--border);
        align-content: center;
        text-align: center;
        height: 4rem;
        width: 4;
        border-radius: 50%;
        
    }

    >a:hover {
            color: initial;
            transform: scale(1.05);
            background-color: var(--bg);
            font-weight: 600;
        }
    
    a {
        padding-inline-start: 1rem;
        padding-inline-end: 1rem;
        text-decoration: none;
        color:  oklch(100% 0.00011 271.152);
    }

}

main {
    margin: 0;
}

footer {
    background-color:  oklch(14.479% 0.00002 271.152);

    ul {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 1rem;
        list-style: none;
        width: 90vw;

        li {
            margin-inline: -2rem;
            border: 2px solid var(--border);
            border-radius: 1rem;
            text-align: center;
            width: 100%;
            transition: transform 0.2s;

            a {
                display: block;
            }
        }

         li:hover {
            background-color: var(--bg);
            transform: scale(1.05);

            a {
                color: initial;
                font-weight: 600;
            }
        }
        
        
        a {
            text-decoration: none;
            color:  oklch(100% 0.00011 271.152);

        }
    }

    p {
        text-align: center;
        margin: 0;
        color:  oklch(100% 0.00011 271.152);

    }

    p:first-child {
        font-size: 1.2rem;
        padding-top: 0.5rem;
    }

    p:last-child {
        font-size: 0.8rem;
        padding-bottom: 0.5rem;
    }
}

a:hover {
    text-decoration: none;
}

.container h1 {
    text-align: center;
}

.intro img{
    width: 80%;
    margin: 1rem 1rem 2rem 1rem;
    border: 1px solid var(--border);
    border-radius: 100%;

}

.cards {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1.5rem;
    list-style: none;
    padding: 0;

    
    li {
        max-width: 100%;
        background-color: var(--bg);
        border: 2px solid var(--border);
        border-radius: 1rem;
        box-shadow: 0 0 0.2rem var(--shadow), 0 0 2rem var(--shadow);
        overflow: hidden;
        transition: transform 0.2s;
        position: relative;
        display: flex;
        flex-direction: column-reverse;
    }

    li:hover {
        transform: scale(1.02);
    }

    img {
        height: auto;
    }

}

.content {
    padding: 1rem;
}

.overlay-link{
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    color: white;
    display: none;
    justify-content: center;
    align-items: center;
}

.cards li:hover .overlay-link{
    display: flex;
    text-indent: -1000px;
}

.omschrijving img {
    width: 80%;
    margin: 1rem 1rem 2rem 1rem;
    border: 1px solid var(--border);
    border-radius: 1rem;

}

.purplebox {
    background-color: var(--bg);
    padding: 0 1rem 0 1rem; 
    border: 2px solid var(--border);
    border-radius: 1rem;
    margin: 1rem 0 1rem 0;

    li {
        list-style: none;
    }
}

.oplossing {
    margin-bottom: 1rem;

    p {
        font-size: 1.3em;
    }
}

.overmij {
    padding: 1rem 1rem 1rem 2rem;
    background-color: var(--bg);
    border: 2px solid var(--border);
    border-radius: 1rem;
}

.kader {
    padding: 1rem;
    margin: 1rem;
    background-color: oklch(60.446% 0.09141 330.69 / 0.757);
    border: 3px solid;
    border-radius: 1rem;

    h2 {
        margin: 0;
    }
}

.tech {
    list-style: none;
    padding: 0;
    margin-bottom: 3rem;
}

.h_center {
    text-align: center;
}

input:not([type=submit]),
textarea {
	display: block;
	width: 100%;
	max-width: 40rem;
	padding: .75em;
	border: 2px solid var(--border);
	border-radius: .3rem;
}

.input_title,
input[type=submit] {
	margin-top: 3rem;
}
input[type=submit] {
	padding: .5em 2em;
}
.input_title {
	display: block;
	margin-bottom: .2em;
	font-weight: bold;
}

.message {
	font-size: 1.4rem;
}
.message.error {
	color: #b90e0a;
}

form {
    margin-bottom: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;

    div {
        display: flex;
        flex-direction: column;
        align-items: center;

        label {
            font-size: 1.3em;
        }
    }
}

.velden {
    background-color: var(--bg);
    padding: 2rem 6rem;
    border: 3px solid var(--border);
    border-radius: 1rem;
}

#btnSubmit {
    border: 2px solid var(--border);
    border-radius: .3rem;
    font-family: inherit;

}

#btnSubmit:hover {
    transform: scale(1.05);
    box-shadow: 0 0 0.1rem var(--shadow), 0 0 1rem var(--shadow);
}

.debug-hidden {
    display: none;
}

.box {
    display: flex;
    flex-direction: column;
    align-items: center;
    border: 2px solid var(--border);
    border-radius: 1rem;
    background-color: var(--bg);
    padding: 3rem;
}

.center {
    height: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.button {
    display: block;
    padding: .5rem;
    border: 1px solid var(--border);
    border-radius: .5rem;
    background-color: oklch(63.292% 0.06507 329.908 / 0.812);
    text-decoration: none;
    color: inherit;
}

.button:hover {
    transform: scale(1.05);
}

.cardsmymessages {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    border: 2px solid var(--border);
    border-radius: 1rem;
    background-color: var(--bg);
    margin-inline: auto;
    margin-block: 1rem;
    width: 80%;
    
    ul {
        list-style: none;
        margin-inline-end: 2rem;
    }
}

.input {
    font-family: inherit;
}

.check {
    margin-top: 2rem;
}

.check_content {
    display: flex;
    flex-direction: row;
}

fieldset {
    border: 2px solid var(--border);
    border-radius: 1rem;
}

@media (min-width: 768px) {
    header {
        flex-direction: row;
        justify-content: space-between;
        
        > a {
            margin-inline-start: 1rem;
        }
        ul {
            margin-inline-end: 2rem;
            flex-direction: row;
            width: auto;
            height: 4rem;

            li {
                align-content: center;
                width: auto;
                margin: 0;
                height: 70%;
            }

        }
    }

    footer {
        ul {
            flex-direction: row;
            justify-content: space-around;

            li {
                width: 6rem;
            }
        }
    }

    .cards {
        flex-direction: row;
        flex-wrap: wrap;

        li {
            width: 22rem;
            height: 24.3rem;

        }
    }

    .intro {
        display: flex;

        img {
            height: 20rem;
            width: 20rem;
        }
    }

    .omschrijving {
        display: flex;
        flex-direction: row;
        justify-content: space-between;

        img {
            max-height: 40rem;
            max-width: 20rem;
            width: auto;
        }
    
    }
}

@media (min-width: 1200px) {
    .lg {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
    }

    .kader {
        max-width: 23rem;
    }

    .overmij {
        width: 20rem;
    }

    .overmijlg {
        height: 85%;
        margin-bottom: 1rem;
    }

    .overmijlg2 {
        height: 60%;
    }

    .flexlg {
        display: flex;
        gap: 8rem;
    }

    footer {
        margin-top: 5rem;
    }
}
